/*************************************************************
*  
*  FILE:     typeutil.h
*  AUTHOR:   Ben Brame
*  DATE:     Jan. 24, 2009
*  PURPOSE:  Define architecture independent integer types
* 
*************************************************************/

#ifdef _WIN64
#define __WINDOWS__
#endif

#ifdef _WIN32
#define __WINDOWS__
#endif

#ifdef __WINDOWS__

typedef int8_t char
typedef int16_t short
typedef int32_t int
typedef int64_t long long

typedef uint8_t unsigned char
typedef uint16_t unsigned short
    
typedef uint32_t unsigned int
typedef uint64_t unsigned long long

#else

#include <inttypes.h>
#include <stdint.h>

#endif